

package es.ejie.frmk.infraestructura.logs.base;

import java.io.Serializable;

/**
 * <p> Representa los datos asociados a una petición de usuario.</p> 
 * <p> Típicamente estos datos serán inicializados al inicio de la petición 
 * y borrados antes de terminar la misma. Su propósito es evitar que en cada
 * solicitud de escritura en un log o tracer haya que pasar estos datos</p>
 * 
 * @version 1.0  fecha: 10-dic-03
 */
public class Q70DatosComunes implements Serializable
{
	
	private static final long serialVersionUID = 1L;
	private String codigoPais;
	private String Canal;
	private String codigoEntidad;
	private String idUsuario;
	private String idSesion;
	private String codigoOperacion;
	private String numeroOperacion;
	private String codigoPagina;
	private String numeroPagina;
	private String aplicacion;
	
	/**
	 * Devuelve el código de aplicación 
	 * @return aplicacion
	 */
	public String getAplicacion() {
		return aplicacion;
	}
	
	/**
	 * Establece el código de aplicación
	 * @param aplicacion
	 */
	public void setAplicacion(String aplicacion) {
		this.aplicacion = aplicacion;
	}
	
	/**
	 * Devuelve el canal de la petición
	 * @return canal
	 */
	public String getCanal() {
		return Canal;
	}
	
	/**
	 * Establece el canal de la petición
	 * @param canal
	 */
	public void setCanal(String canal) {
		Canal = canal;
	}
	
	/**
	 * Devuelve el código de entidad
	 * @return codigoEntidad
	 */
	public String getCodigoEntidad() {
		return codigoEntidad;
	}
	
	/**
	 * Establece el código de entidad
	 * @param codigoEntidad
	 */
	public void setCodigoEntidad(String codigoEntidad) {
		this.codigoEntidad = codigoEntidad;
	}
	
	/**
	 * Devuelve el código de la operación de presentación
	 * @return codigoOperacion
	 */
	public String getCodigoOperacion() {
		return codigoOperacion;
	}
	
	/**
	 * Establece el código de la operación de presentación
	 * @param codigoOperacion
	 */
	public void setCodigoOperacion(String codigoOperacion) {
		this.codigoOperacion = codigoOperacion;
	}
	
	/**
	 * Devuelve el código de la página
	 * @return codigoPagina
	 */
	public String getCodigoPagina() {
		return codigoPagina;
	}
	
	/**
	 * Establece el código de la página
	 * @param codigoPagina
	 */
	public void setCodigoPagina(String codigoPagina) {
		this.codigoPagina = codigoPagina;
	}
	
	/**
	 * Devuelve el código de país
	 * @return codigoPais
	 */
	public String getCodigoPais() {
		return codigoPais;
	}
	
	/**
	 * Establece el código de país
	 * @param codigoPais
	 */
	public void setCodigoPais(String codigoPais) {
		this.codigoPais = codigoPais;
	}
	
	/**
	 * Devuelve el identificador de sesión
	 * @return idSesion
	 */
	public String getIdSesion() {
		return idSesion;
	}
	
	/**
	 * Establece el identificador de sesión
	 * @param idSesion
	 */
	public void setIdSesion(String idSesion) {
		this.idSesion = idSesion;
	}
	
	/**
	 * Devuelve el código de usuario
	 * @return idUsuario
	 */
	public String getIdUsuario() {
		return idUsuario;
	}
	
	/**
	 * Establece el código de usuario
	 * @param idUsuario
	 */
	public void setIdUsuario(String idUsuario) {
		this.idUsuario = idUsuario;
	}
	
	/**
	 * Devuelve el número de la operación
	 * @return numeroOperacion
	 */
	public String getNumeroOperacion() {
		return numeroOperacion;
	}
	
	/**
	 * Establece el número de la operación
	 * @param numeroOperacion
	 */
	public void setNumeroOperacion(String numeroOperacion) {
		this.numeroOperacion = numeroOperacion;
	}
	
	/**
	 * Devuelve el número de la página
	 * @return numeroPagina
	 */
	public String getNumeroPagina() {
		return numeroPagina;
	}
	
	/**
	 * Establece el número de la página
	 * @param numeroPagina
	 */
	public void setNumeroPagina(String numeroPagina) {
		this.numeroPagina = numeroPagina;
	}
}
